<?php

    $resultado_id = isset($_REQUEST['id']) ? $_REQUEST  ['id'] : '-1';
    $usuario_id= isset($_REQUEST['usuario_id']) ? $_REQUEST  ['usuario_id'] : '-1';
    
    $page = isset($_POST['page']) ? intval($_POST['page']) : 1;
    $rows = isset($_POST['rows']) ? intval($_POST['rows']) : 10;
    $offset = ($page-1)*$rows;
    $result = array();
    
    include '../rdb/conn.php';
    //si es un alta , lo distingo porque no viene el id parametro, y debo poblar la tabla con los tipos de eventos default
   
   if($resultado_id==='-1'){
 

        $sql = "SELECT count(*) FROM ";
	$sql .= "		      tipo_de_tramites_rojo   ";
	$sql .= "		     WHERE orden_default is not null";
    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    if ($result["total"] === 0) {exit;}  

   	 $sql = "SELECT  0 ck,0 evento_id,	    ";
	$sql .= "		0 evento_original_id, ";
	$sql .= "		 0 resultado_id,  ";
	$sql .= "		 DATE_FORMAT(DATE_ADD(CURDATE(), INTERVAL intervalo_primer_reclamo DAY),'%Y-%m-%d') fecha_limite,  ";
	$sql .= "		 1 tipo_evento_id,  		   ";
	$sql .= "		 'TRAMITE' tipo_evento,   ";
	$sql .= "		 id,			";					 
	$sql .= "		nombre tipo_tramite,  ";
	$sql .= "		 '0000-00-00' fecha_cumplido, ";
	$sql .= "		 false cumplido, 			";	   
	$sql .= "		1 tipo_modo_reclamo_id	,";
	$sql .= "		'MAIL' tipo_modo_reclamo,";
	$sql .= "		(select nombre from tipo_destinatarios_de_solicitudes_rojo where id=destinatario_id) destinatario,";
	$sql .= "			'' direccion_de_reclamo,";
	$sql .= "		     ''  observacion,  ";
	$sql .= "		     (select nombre from usuario where id=$usuario_id) responsable,  ";
	$sql .= "		     $usuario_id responsable_id  ";
	$sql .= "		      FROM tipo_de_tramites_rojo   ";
	$sql .= "		     WHERE orden_default is not null";
	$sql .= "		     order by orden_default  ";
  $rs = mysqli_query( $conn,$sql);
    
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;

    echo json_encode($result);
    }
    else{
        $where ="";
    	if ($resultado_id <>'') {$where .= " and resultado_id = $resultado_id"; }
    
    $sql = "SELECT count(*) FROM ";
    $sql .= "eventos_programados_rojo   ";
    $sql .= "where 1  ";
    $sql.= $where;
    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    if ($result["total"] === 0) {exit;}  

   
$sql = "SELECT 0 ck, evento_id,	    ";
$sql .= "evento_original_id, ";
$sql .= " resultado_id,  ";
$sql .= " DATE_FORMAT(fevento ,'%Y-%m-%d')fecha_limite,";  
$sql .= " tipo_evento_id,  		   ";
$sql .= " (select nombre from tipo_de_eventos_rojo where id=tipo_evento_id) tipo_evento,   ";
$sql .= " tipo_tramite_id,								 ";
$sql .= "(select nombre from tipo_de_tramites_rojo where id=tipo_tramite_id) tipo_tramite,  ";
$sql .= " DATE_FORMAT(fcumplimiento ,'%Y-%m-%d') fecha_cumplido, ";
$sql .= " case DATE_FORMAT(fcumplimiento ,'%Y-%m-%d') ";
$sql .= " when '0000-00-00' then false ";
$sql .= " else true ";
$sql .= " end ";
$sql .= " cumplido, 				   ";
$sql .= "tipo_modo_reclamo_id	,";
$sql .= "(select nombre from tipo_modo_reclamo_rojo where id=tipo_modo_reclamo_id) tipo_modo_reclamo,";
$sql .= "destinatario,";
$sql .= "	direccion_de_reclamo,";
$sql .= "     replace(evt_observaciones,'\n',' ')  observacion,  ";
$sql .= "     (select nombre from usuario where id=evtResponsable_id) responsable,  ";
$sql .= "     evtResponsable_id responsable_id  ";
$sql .= "      FROM eventos_programados_rojo   ";
$sql .= "     WHERE 1  ";
        $sql.= $where;   

 $sql .= "     order by evento_original_id desc, evento_id asc";
    
 
    
    $rs = mysqli_query( $conn,$sql);
    
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;

    echo json_encode($result);
    }
    
?>